Package org.apache.sling.engine

# Class RequestUtil

java.lang.Object
org.apache.sling.engine.RequestUtil

@Deprecated public class RequestUtil extends Object
Deprecated.
Use `RequestUtil`

## Constructor Summary

Constructors
Constructor
Description
`RequestUtil()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getServletName(javax.servlet.Servlet servlet)`
Deprecated.
Utility method to return a name for the given servlet.
`static Map<String,Double>`
`parserAcceptHeader(String value)`
Deprecated.
Parses an `Accept-*` header of the form:
`static Map<String,Map<String,String>>`
`parserHeader(String value)`
Deprecated.
Parses a header of the form:
`static Object`
`setRequestAttribute(javax.servlet.http.HttpServletRequest request, String name, Object value)`
Deprecated.
Sets the named request attribute to the new value and returns the previous value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestUtil

public RequestUtil()
Deprecated.

## Method Details

### parserHeader

public static Map<String,Map<String,String>> parserHeader(String value)
Deprecated.
Parses a header of the form:

                Header = Token { "," Token } .
                Token = name { ";" Parameter } .
                Paramter = name [ "=" value ] .

"," and ";" are not allowed within name and value

Parameters:
  `value` - The header value to parse
Returns:
  A Map indexed by the Token names where the values are Map instances indexed by parameter name

### parserAcceptHeader

public static Map<String,Double> parserAcceptHeader(String value)
Deprecated.
Parses an `Accept-*` header of the form:

                Header = Token { "," Token } .
                Token = name { ";" "q" [ "=" value ] } .
                Paramter =  .

"," and ";" are not allowed within name and value

Parameters:
  `value` - The header value to parse
Returns:
  A Map indexed by the Token names where the values are `Double` instances providing the value of the `q` parameter.

### getServletName

public static String getServletName(javax.servlet.Servlet servlet)
Deprecated.
Utility method to return a name for the given servlet. This method applies the following algorithm to find a non-`null`, non-empty name:

1. If the servlet has a servlet config, the servlet name from the servlet config is taken.
2. Otherwise check the servlet info
3. Otherwise use the fully qualified name of the servlet class

Parameters:
  `servlet` - The servlet instance
Returns:
  The name of the servlet

### setRequestAttribute

public static Object setRequestAttribute(javax.servlet.http.HttpServletRequest request, String name, Object value)
Deprecated.
Sets the named request attribute to the new value and returns the previous value.

Parameters:
  `request` - The request object whose attribute is to be set.
  `name` - The name of the attribute to be set.
  `value` - The new value of the attribute. If this is `null` the attribute is actually removed from the request.
Returns:
  The previous value of the named request attribute or `null` if it was not set.